package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ims.eval.entity.IndicatorDictionary;
import com.ims.eval.dao.IndicatorDictionaryMapper;
import com.ims.eval.service.IIndicatorDictionaryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 指标字典表 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
@Service
public class IndicatorDictionaryServiceImpl extends ServiceImpl<IndicatorDictionaryMapper, IndicatorDictionary> implements IIndicatorDictionaryService {


	@Autowired
	private IndicatorDictionaryMapper indicatorDictionaryMapper;
	public  List<IndicatorDictionary>  list(){
		QueryWrapper<IndicatorDictionary> qw = new QueryWrapper<>();
		List<IndicatorDictionary> list = indicatorDictionaryMapper.selectList(qw);
		return list;
	}
}
