package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Indicator extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 指标名称
     */
    private String indicatorName;

    /**
     * 指标编码
     */
    private String indicatorCede;

    /**
     * 指标单位
     */
    private String unit;

    /**
     * 能否量化
     */
    private String isQuantified;

    /**
     * 是否专项
     */
    private String isAdditional;

    /**
     * 描述
     */
    private String des;

    /**
     * 业务版块
     */
    private String binSection;

    /**
     * 业务阶段
     */
    private String binStage;

    /**
     * 部门
     */
    private String dept;

    /**
     * 公司
     */
    private String company;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private BigDecimal orderNum;


}
